Bug 1033593 - (CVE-2013-6380) CVE-2013-6380 Kernel: aacraid: invalid pointer dereference
CVE-2013-6380 Kernel: aacraid: invalid pointer dereference
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20131122,reported=2...
: Security
Depends On: 1034293 1034294 1034295 1034299 1034301 1034302 1034303 1034304
Blocks: 1033586
  Show dependency treegraph
 
Reported: 2013-11-22 07:53 EST by Prasad J Pandit
Modified: 2015-10-15 14:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 06:54:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-11-22 07:53:51 EST
Linux kernel built with a Adaptec RAID controllers support(CONFIG_SCSI_AACRAID)
is vulnerable to a invalid pointer dereference flaw. It could occur while doing an ioctl(2) call with a FSACTL_SEND_RAW_SRB command.

A privileged(CAP_SYS_ADMIN) user/program could use this flaw to make kernel dereference invalid pointer which results in kernel crash (DoS) or could, potentially, result in privilege escalation.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/b4789b8e6be3151a955ade74872822f30e8cd914

Reference:
----------
 -> http://seclists.org/oss-sec/2013/q4/330
Comment 1 Prasad J Pandit 2013-11-25 09:39:21 EST
nt
Comment 4 Prasad J Pandit 2013-11-25 09:52:11 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1034304]
Comment 5 Petr Matousek 2013-11-26 06:54:21 EST
Statement:

The Red Hat Security Response Team does not consider this issue to be a security flaw due to the full root-like privileges (CAP_SYS_ADMIN) needed for successful exploitation.
Comment 6 Fedora Update System 2013-12-04 11:50:56 EST
kernel-3.11.10-300.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-12-07 01:58:20 EST
kernel-3.11.10-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-10 01:16:24 EST
kernel-3.11.10-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.